/*start variables*/
:root{
    --main-color: #19c8fa;
    --transparent-color:rgba(15, 115, 143, 0.573);
    --section-padding:100px;
    --cc:rgba(19, 169, 210, 0.721)
}
/*end variables*/
/*.start global rules.*/
*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html{
    scroll-behavior: smooth;
}

body{


  .noto-serif-<uniquifier> {
  font-family: "Noto Serif", serif;
  font-optical-sizing: auto;
  font-weight: <weight>;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
  }
}
}
 body[lang="ar"] {
    
 direction: rtl;
}
ul{
    list-style: none;
}
.container{
    padding-left: 15px;
    padding-right: 15px;
    margin-left:auto ;
    margin-right: auto;
}
/*small*/
@media(min-width:768px) {
    .container{
        width: 750px;
    }
}
/*medium*/
@media(min-width:992px){
    .container{
         width: 970px; 
    }
}
/*large*/
@media(min-width:1200px){
    .container{
      width: 1170px;    
    }
}
/*.end global rules.*/
/*start components*/
 .main-heading{
    position: absolute;
    top: 900px;
    right:  50px;
    left: 10px;
    padding: 100px;
    text-align: center;
padding-top: 100px;
padding-bottom: 100px;
color: white;
 }
 .main-heading h2{
    font-weight: normal;
    font-size: 40px;
    position: relative;
    margin-bottom: 70px;
    text-transform: uppercase;
 }
  .main-heading h2::before{
    content: '';
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    height: 2px;
    background-color: white;
    bottom: -30px;
    width: 120px;

 }
  .main-heading h2::after{
     content: '';
     position: absolute;
     left: 50%;
     transform: translateX(-50%);
     width: 14px;
     height: 14px;
     border-radius: 50%;
     border: 2px solid white;
     bottom: -38px;
     background-color:rgb(15, 115, 143) ;
 }
  .main-heading p{
    width: 550px;
    margin: 0 auto 100px;
    max-width: 100%;
    line-height: 2;
    color: white;
 }
/*end components*/
/*start header*/
header{ 
  position: absolute;
  left: 0;
  width: 100%;
  z-index: 2;

  background-image: url("../imagess/pexelsoo.jpg");
      border-radius: 0 0 50px 50px;

}
header .container{ 
  display: flex;
  justify-content: space-between;  
  align-items: center;
  position: relative;
  min-height: 97px;
  background-color:var(--transparent-color);
  width: 100%;
  padding-left: 100px;
  padding-right: 120px;
    

}

header .container::after{
    content: '';
    position: absolute;
    height: 1px;
    background-color: #a2a2a2;
    bottom: -1px;
    width: calc(87% - 30px);
    align-items: center;
    top: 105px;
    right: 125px;
   
}



header .logo {
    height: 107px;

   
}


header nav{
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
header nav .toggle-menu{
    color: white;
    font-size: 50px;
}
@media(min-width: 768px){
header nav .toggle-menu{
        display: flex;
    }
}
header nav ul{
display: flex;
}
@media(max-width: 767px) {
header nav ul{
    display: none;

}
header nav .toggle-menu:hover + ul {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.452);

}
header nav .toggle-menu:hover + ul li a{
    padding: 15px;
}
}
header nav ul li a{
    display: block;
    color: white;
    text-decoration: none;
    font-size: 16px;
    transition: 0.3s;
    padding: 40px 10px;
    
}
header nav ul li a.active,
header nav ul li a:hover {
    color: var(--main-color);
    border-bottom: 1px solid var(--main-color);
}
 /*header nav .form {
    width: 40px;
    height: 30px;
    position: relative;
    margin-left: 30px;
    border-left: 1px solid white;
}*/
header nav .form i {
    color: white;
    position: absolute;
    font-size: 20px;
    top:50%;
    transform: translatey(-50%);
    right: 0; 
}
.language-toggle {
            background-color:  rgba(4, 199, 238, 0.867) ;
            color: white;
            border: none;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            font-size: 14px;
            cursor: pointer;
            transition: background 0.3s, transform 0.3s;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            left: 28px;
        }
    @media(max-width: 767px) {
       .language-toggle {
         position: relative;
         left: 10px;
       }  

    } 
        .language-toggle:hover {
            background: #1cb8b3;
            transform: scale(1.1);
        }

        body[lang="ar"] header nav .form {
            border-left: none;
            border-right: 1px solid white;
            margin-right: 30px;
            margin-left: 0;
        }

        body[lang="ar"] header nav .form i {
            right: auto;
            left: 0;
        }


/*end header*/
     
       }
      @media(max-width: 767px) {
         .projectss{
            display: flex;
            flex-direction: column;
            justify-content: center;
            position: relative;
            left: 30px;
         }
        
      }
       .card{
        width: 400px;
        background-color: aliceblue;
        border-radius: 20px;
        margin: 10px;
        overflow: hidden;
        cursor: pointer;
        transition: all 0.3s ease;
       }
    
       .card img{
        width: 100%;
        height: 250px;
        border-radius: 20px 20px 0 0;
       
       }

       .card-title{
        padding: 20px ;
        color: rgb(24, 12, 115);
       }
       .card .card-title p {  
        color:  rgb(24, 12, 115);
        text-decoration:underline;
       }
    .card .card-title:hover p {  
        color: rgb(246, 129, 129);
     
       }
       .card-description{
        display: none;
        padding: 10px 20px;
        color: #333;
        background-color: aliceblue;
        border-top: 1px solid aliceblue;
        font-size: 14px;
       }